<?php 
defined('IN_HS') or exit('Access Denied');

defined('IN_FRONT') && !isset($CHANNEL[$channelid]) && showmessage("The channelid $channelid is not exists or access denied !");
if(!$CHANNEL[$channelid]['islink'])
{
    require_once HS_ROOT.'/include/channel.func.php';
    require_once HS_ROOT.'/include/urlrule.inc.php';
    $CHA = $TEMP['cha'][$channelid] = cache_read('channel_'.$channelid.'.php');
    $CATEGORY = $TEMP['category'][$channelid] = cache_read('categorys_'.$channelid.'.php');
	$uploadpath = $CHA['uploaddir'] ? HS_PATH.$CHA['channeldir'].'/'.$CHA['uploaddir'].'/' : $uploadpath;
	$skindir = $CHA['skinid'] ? HS_PATH.'templates/'.$CONFIG['defaulttemplate'].'/skins/'.$CHA['skinid'] : $skindir;
	$channelname = $CHA['channelname'];
    $channelurl = $CHA['linkurl'];
}
?>